### Class

# Gcr CertificateRequest

#### Description [src]

    final class Gcr.CertificateRequest : GObject.Object
    {
      /* No available fields */
    }

An object that allows creation of certificate requests. A certificate request is sent to a certificate authority to request an X.509 certificate.

Use `gcr_certificate_request_prepare()` to create a blank certificate request for a given private key. Set the common name on the certificate request with `gcr_certificate_request_set_cn()`, and then sign the request with `gcr_certificate_request_complete_async()`.

#### Ancestors

- GObject

#### Functions

###### gcr_certificate_request_capable

Check whether `GcrCertificateRequest` is capable of creating a request for the given `private_key`.

###### gcr_certificate_request_capable_async

Asynchronously check whether `GcrCertificateRequest` is capable of creating a request for the given `private_key`.

###### gcr_certificate_request_capable_finish

Get the result for asynchronously check whether `GcrCertificateRequest` is capable of creating a request for the given `private_key`.

###### gcr_certificate_request_prepare

Create a new certificate request, in the given format for the private key.

#### Instance methods

###### gcr_certificate_request_complete

Complete and sign a certificate request, so that it can be encoded and sent to a certificate authority.

###### gcr_certificate_request_complete_async

Asynchronously complete and sign a certificate request, so that it can be encoded and sent to a certificate authority.

###### gcr_certificate_request_complete_finish

Finish an asynchronous operation to complete and sign a certificate request.

###### gcr_certificate_request_encode

Encode the certificate request. It must have been completed with `gcr_certificate_request_complete()` or `gcr_certificate_request_complete_async()`.

###### gcr_certificate_request_get_format

Get the format of this certificate request.

###### gcr_certificate_request_get_private_key

Get the private key this certificate request is for.

###### gcr_certificate_request_set_cn

Set the common name encoded in the certificate request.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gcr.CertificateRequest:format

The format of the certificate request.

###### Gcr.CertificateRequest:private-key

The private key that this certificate request is for.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrCertificateRequestClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.